<?php 

/*

'**************************************************************************************************

' 软件名称: 黑色幻想舞曲管理系统CMS2.0

' 版本编号: hshxsdj 2.0

' 官方网站: http://www.hshxs.com

' 官方论坛：http://bbs.hshxs.com

' 版权所有: 黑色幻想开发团队    噬己翼(QQ:532917920)

' 郑重声明:

'    1、任何个人或组织不得在未经授权的情况下删除、修改、拷贝本软件及其他副本上一切关于版权的信息；

'    2、黑色幻想网络事业部保留此软件的法律追究权利

'**************************************************************************************************

*/



  $filename=$_GET['sname'];	

  if(file_exists("rule/".$filename.".txt")){

  	$file=stripslashes(@file_get_contents("rule/".$filename.".txt"));   

  	}else{

	$file="规则文件不存在@";	

	}

  

  $dest=$filename.".txt";    

  down_file($file,$dest);   

  function   down_file($content,$dest){   

  header("Pragma:   public");   

  header("Expires:   0");   

  header("Cache-Control:   must-revalidate,   post-check=0,   pre-check=0");   

  header("Content-Type:   application/octet-stream");   

  header("Content-Disposition:   attachment;   filename=$dest"   );   

  header("Content-Transfer-Encoding:   binary");   

  //header("Content-Length:   ".filesize($file));   

  echo   $content;   

  }   

    

  ?>